Bug 168892 - Update CSSFontSelector's matching algorithm to understand ranges
Summary: Update CSSFontSelector's matching algorithm to understand ranges
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks: 162815
  Show dependency treegraph
 
Reported: 2017-02-26 21:21 PST by Myles C. Maxfield
Modified: 2017-03-05 15:08 PST (History)
9 users (show)

See Also:


Attachments
WIP (90.74 KB, patch)
2017-03-03 01:55 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (91.76 KB, patch)
2017-03-03 02:21 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Builds (95.95 KB, patch)
2017-03-03 14:30 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (115.24 KB, patch)
2017-03-03 16:27 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (406.32 KB, patch)
2017-03-03 23:10 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (74.69 KB, patch)
2017-03-04 14:10 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (74.74 KB, patch)
2017-03-04 14:54 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (74.75 KB, patch)
2017-03-04 15:29 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (81.98 KB, patch)
2017-03-04 15:57 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (87.17 KB, patch)
2017-03-04 16:13 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (90.47 KB, patch)
2017-03-04 16:54 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (90.32 KB, patch)
2017-03-04 17:26 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (90.65 KB, patch)
2017-03-04 17:52 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (90.80 KB, patch)
2017-03-04 17:59 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (90.79 KB, patch)
2017-03-04 18:18 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (90.86 KB, patch)
2017-03-04 18:29 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (92.88 KB, patch)
2017-03-04 19:07 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (86.97 KB, patch)
2017-03-04 19:23 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (88.97 KB, patch)
2017-03-04 19:52 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-elcapitan (908.02 KB, application/zip)
2017-03-04 21:04 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (900.34 KB, application/zip)
2017-03-04 21:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-elcapitan (1.67 MB, application/zip)
2017-03-04 21:12 PST, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (838.44 KB, application/zip)
2017-03-04 21:19 PST, Build Bot
no flags Details
Patch (94.87 KB, patch)
2017-03-04 23:36 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (434.62 KB, patch)
2017-03-05 15:07 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2017-02-26 21:21:00 PST
This is needed for @font-face to work with variation fonts
Comment 1 Myles C. Maxfield 2017-03-03 01:55:30 PST
Created attachment 303306 [details]
WIP
Comment 2 Myles C. Maxfield 2017-03-03 02:21:38 PST
Created attachment 303307 [details]
WIP
Comment 3 Myles C. Maxfield 2017-03-03 14:30:35 PST
Created attachment 303343 [details]
Builds
Comment 4 Myles C. Maxfield 2017-03-03 16:27:45 PST
Created attachment 303356 [details]
WIP
Comment 5 Myles C. Maxfield 2017-03-03 23:10:45 PST
Created attachment 303387 [details]
WIP
Comment 6 Myles C. Maxfield 2017-03-04 14:10:02 PST
Created attachment 303407 [details]
WIP
Comment 7 Myles C. Maxfield 2017-03-04 14:54:55 PST
Created attachment 303409 [details]
WIP
Comment 8 Myles C. Maxfield 2017-03-04 15:29:45 PST
Created attachment 303410 [details]
WIP
Comment 9 Myles C. Maxfield 2017-03-04 15:57:24 PST
Created attachment 303414 [details]
WIP
Comment 10 Myles C. Maxfield 2017-03-04 16:13:01 PST
Created attachment 303417 [details]
WIP
Comment 11 Myles C. Maxfield 2017-03-04 16:54:59 PST
Created attachment 303418 [details]
Patch
Comment 12 Myles C. Maxfield 2017-03-04 17:26:15 PST
Created attachment 303422 [details]
Patch
Comment 13 Myles C. Maxfield 2017-03-04 17:52:25 PST
Created attachment 303425 [details]
Patch
Comment 14 Myles C. Maxfield 2017-03-04 17:59:14 PST
Created attachment 303426 [details]
Patch
Comment 15 Myles C. Maxfield 2017-03-04 18:18:28 PST
Created attachment 303427 [details]
Patch
Comment 16 Myles C. Maxfield 2017-03-04 18:29:19 PST
Created attachment 303429 [details]
Patch
Comment 17 Myles C. Maxfield 2017-03-04 19:07:24 PST
Created attachment 303431 [details]
Patch
Comment 18 Myles C. Maxfield 2017-03-04 19:23:53 PST
Created attachment 303434 [details]
Patch
Comment 19 Myles C. Maxfield 2017-03-04 19:52:53 PST
Created attachment 303436 [details]
Patch
Comment 20 Build Bot 2017-03-04 21:04:12 PST
Comment on attachment 303436 [details]
Patch

Attachment 303436 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3244420

New failing tests:
fast/text/font-face-javascript.html
Comment 21 Build Bot 2017-03-04 21:04:15 PST
Created attachment 303439 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 22 Build Bot 2017-03-04 21:07:38 PST
Comment on attachment 303436 [details]
Patch

Attachment 303436 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3244429

New failing tests:
fast/text/font-face-javascript.html
Comment 23 Build Bot 2017-03-04 21:07:41 PST
Created attachment 303440 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 24 Build Bot 2017-03-04 21:12:05 PST
Comment on attachment 303436 [details]
Patch

Attachment 303436 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3244423

New failing tests:
fast/text/font-face-javascript.html
Comment 25 Build Bot 2017-03-04 21:12:08 PST
Created attachment 303441 [details]
Archive of layout-test-results from ews114 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 26 Build Bot 2017-03-04 21:19:44 PST
Comment on attachment 303436 [details]
Patch

Attachment 303436 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3244434

New failing tests:
fast/text/font-face-javascript.html
Comment 27 Build Bot 2017-03-04 21:19:47 PST
Created attachment 303442 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 28 Myles C. Maxfield 2017-03-04 23:36:16 PST
Created attachment 303444 [details]
Patch
Comment 29 Jon Lee 2017-03-05 11:43:39 PST
Comment on attachment 303444 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=303444&action=review

> Source/WebCore/css/CSSFontFace.cpp:222
> +        return FontSelectionValue(100);

Are all instances of common values like this refactored later?

> Source/WebCore/platform/graphics/cocoa/FontCacheCoreText.cpp:-1241
> -    default:

why was this removed?
Comment 30 Myles C. Maxfield 2017-03-05 12:07:55 PST
Comment on attachment 303444 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=303444&action=review

>> Source/WebCore/css/CSSFontFace.cpp:222
>> +        return FontSelectionValue(100);
> 
> Are all instances of common values like this refactored later?

Yes, in https://bugs.webkit.org/show_bug.cgi?id=168889

>> Source/WebCore/platform/graphics/cocoa/FontCacheCoreText.cpp:-1241
>> -    default:
> 
> why was this removed?

It's dead code, but I guess I could put it back to be defensive.
Comment 31 Myles C. Maxfield 2017-03-05 12:14:11 PST
Committed r213436: <http://trac.webkit.org/changeset/213436>
Comment 32 Myles C. Maxfield 2017-03-05 15:07:03 PST
Reopening to attach new patch.
Comment 33 Myles C. Maxfield 2017-03-05 15:07:07 PST
Created attachment 303470 [details]
WIP